# template: default
%global gem_name redfish_client

Name: rubygem-%{gem_name}
Version: 0.5.4
Release: 1%{?dist}
Summary: Simple Redfish client library
License: Apache-2.0
URL: https://github.com/xlab-steampunk/redfish-client-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.1
BuildRequires: ruby >= 2.1
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Simple Redfish client library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/redfish_client.gemspec

%changelog
* Tue Aug 16 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.5.4-1
- Update to 0.5.4

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.5.2-2
- Rebuild against rh-ruby27

* Thu Sep 24 2020 Lukas Zapletal <lzap+rpm@redhat.com> 0.5.2-1
- Add rubygem-redfish_client generated by gem2rpm using the scl template

